BeanContextServiceRevokedEvent (Java SE 23 & JDK 23)
Description: declaration: module: java.desktop, package: java.beans.beancontext, class: BeanContextServiceRevokedEvent
Keywords: java.beans.beancontext.BeanContextServiceRevokedEvent class

# Class BeanContextServiceRevokedEvent

java.lang.Object
java.util.EventObject
java.beans.beancontext.BeanContextEvent
java.beans.beancontext.BeanContextServiceRevokedEvent

All Implemented Interfaces:
  `Serializable`

@Deprecated(since="23", forRemoval=true) public class BeanContextServiceRevokedEvent extends BeanContextEvent
Deprecated, for removal: This API element is subject to removal in a future version.

This event type is used by the `BeanContextServiceRevokedListener` in order to identify the service being revoked.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Class<?>`
  `serviceClass`
  Deprecated, for removal: This API element is subject to removal in a future version.
  A `Class` reference to the service that is being revoked.

  ### Fields declared in class java.beans.beancontext.BeanContextEvent

  `propagatedFrom`

  ### Fields declared in class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeanContextServiceRevokedEvent(BeanContextServices bcs, Class<?> sc, boolean invalidate)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Construct a `BeanContextServiceEvent`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getServiceClass()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets the service class that is the subject of this notification
  `BeanContextServices`
  `getSourceAsBeanContextServices()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets the source as a reference of type `BeanContextServices`
  `boolean`
  `isCurrentServiceInvalidNow()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Reports if the current service is being forcibly revoked, in which case the references are now invalidated and unusable.
  `boolean`
  `isServiceClass(Class<?> service)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Checks this event to determine whether or not the service being revoked is of a particular class.

  ### Methods declared in class java.beans.beancontext.BeanContextEvent

  `getBeanContext, getPropagatedFrom, isPropagated, setPropagatedFrom`

  ### Methods declared in class java.util.EventObject

  `getSource, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### serviceClass

    protected Class<?> serviceClass
    Deprecated, for removal: This API element is subject to removal in a future version.
    A `Class` reference to the service that is being revoked.

- ## Constructor Details

  - ### BeanContextServiceRevokedEvent

    public BeanContextServiceRevokedEvent(BeanContextServices bcs, Class<?> sc, boolean invalidate)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Construct a `BeanContextServiceEvent`.
    Parameters:
      `bcs` - the `BeanContextServices` from which this service is being revoked
      `sc` - the service that is being revoked
      `invalidate` - `true` for immediate revocation

- ## Method Details

  - ### getSourceAsBeanContextServices

    public BeanContextServices getSourceAsBeanContextServices()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Gets the source as a reference of type `BeanContextServices`
    Returns:
      the `BeanContextServices` from which this service is being revoked

  - ### getServiceClass

    public Class<?> getServiceClass()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Gets the service class that is the subject of this notification
    Returns:
      A `Class` reference to the service that is being revoked

  - ### isServiceClass

    public boolean isServiceClass(Class<?> service)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Checks this event to determine whether or not the service being revoked is of a particular class.
    Parameters:
      `service` - the service of interest (should be non-null)
    Returns:
      `true` if the service being revoked is of the same class as the specified service

  - ### isCurrentServiceInvalidNow

    public boolean isCurrentServiceInvalidNow()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Reports if the current service is being forcibly revoked, in which case the references are now invalidated and unusable.
    Returns:
      `true` if current service is being forcibly revoked